<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ListView?>
<?import javafx.scene.layout.BorderPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.Region?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<BorderPane xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="rentalSystem.OperatorController">
   <left>
      <VBox spacing="5.0" style="-fx-background-color: linear-gradient(to top, #B0E0E6, #00000000);" BorderPane.alignment="CENTER">
         <children>
            <Button mnemonicParsing="false" onAction="#regClientClick" text="Register new client" />
            <Button mnemonicParsing="false" onAction="#rentVehicleClick" text="Rent out vehicle" />
            <Button mnemonicParsing="false" onAction="#returnVehicleClick" text="Return vehicle" />
            <Button mnemonicParsing="false" onAction="#logOut" text="Log out" />
            <Region VBox.vgrow="ALWAYS" />
            <Label text="Currently logged in as:" />
            <Label fx:id="name">
               <font>
                  <Font name="Verdana Bold" size="12.0" />
               </font>
            </Label>
         </children>
         <padding>
            <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
         </padding>
      </VBox>
   </left>
   <center>
      <ListView fx:id="listView" BorderPane.alignment="CENTER" />
   </center>
   <top>
      <HBox spacing="2.5" BorderPane.alignment="CENTER">
         <children>
            <Button mnemonicParsing="false" onAction="#listAvailableVehiclesClick" text="List all available vehicles" />
            <Button mnemonicParsing="false" onAction="#listRentalHistoryClick" text="View rental history" />
            <Button mnemonicParsing="false" onAction="#listWorkReportClick" text="View work report for chosen operator" />
            <Button mnemonicParsing="false" onAction="#listRentedStatsClick" text="List statistics for all rented vehicles" />
            <Button mnemonicParsing="false" onAction="#listClientRatingsClick" text="List client ratings" />
         </children>
         <padding>
            <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
         </padding>
      </HBox>
   </top>
</BorderPane>
